<!--table component-->
<!--table search bar panel-->
<div class="flex justify-end mb-5">
    <div class="flex justify-between">
        <div class="flex items-center pr-1">
            <button mat-icon-button aria-label="Reset">
                <mat-icon color="primary" svgIcon="mat_outline:restore"></mat-icon>
            </button>
        </div>
        <div class="flex flex-col justify-end sm:flex-row items-center max-w-xs sm:max-w-none">
            <mat-form-field class="fuse-mat-no-subscript sm:w-44 rounded-r-none">
                <mat-select [value]="'all'">
                    <mat-option [value]="'all'">All</mat-option>
                    <ng-container>
                        <mat-option value="all">All</mat-option>
                        <mat-option value="name">Supplier Name</mat-option>
                    </ng-container>
                </mat-select>
            </mat-form-field>
            <mat-form-field class="fuse-mat-no-subscript sm:w-96 mt-4 sm:mt-0 rounded-l-none"
                            [floatLabel]="'always'">
                <mat-icon
                    matPrefix
                    class="icon-size-5"
                    [svgIcon]="'heroicons_solid:search'"></mat-icon>
                <input matInput (keyup)="applyFilter($event)" placeholder="Search Here..." #input>
            </mat-form-field>
        </div>

        <div class="flex items-center pl-1">
            <button mat-icon-button [matMenuTriggerFor]="menu" aria-label="Choose columns">
                <mat-icon color="primary" svgIcon="heroicons_outline:view-boards"></mat-icon>
            </button>
            <mat-menu #menu="matMenu" class="min-width-235 z-1">
                <div class="flex flex-col max-h-80">
                    <div class="flex flex-col overflow-auto">
                        <mat-checkbox class="px-6 py-3" [checked]="true" [color]="'primary'">Supplier Name</mat-checkbox>
                        <mat-checkbox class="px-6 py-3" [checked]="true" [color]="'primary'">Country</mat-checkbox>
                        <mat-checkbox class="px-6 py-3" [checked]="true" [color]="'primary'">First Name</mat-checkbox>
                        <mat-checkbox class="px-6 py-3" [checked]="true" [color]="'primary'">First Name</mat-checkbox>
                        <mat-checkbox class="px-6 py-3" [checked]="true" [color]="'primary'">First Name</mat-checkbox>
                        <mat-checkbox class="px-6 py-3" [checked]="true" [color]="'primary'">First Name</mat-checkbox>
                        <mat-checkbox class="px-6 py-3" [checked]="true" [color]="'primary'">First Name</mat-checkbox>
                        <mat-checkbox class="px-6 py-3" [checked]="true" [color]="'primary'">First Name</mat-checkbox>
                        <mat-checkbox class="px-6 py-3" [checked]="true" [color]="'primary'">First Name</mat-checkbox>
                        <mat-checkbox class="px-6 py-3" [checked]="true" [color]="'primary'">Last Name</mat-checkbox>
                    </div>
                    <div class="flex flex-col sticky bottom-0 bg-white">
                        <button class="sm:inline-flex mx-6 my-2" mat-raised-button [color]="'primary'">Save</button>
                    </div>


                </div>
            </mat-menu>
        </div>

    </div>

</div>

<!--base table component-->
<div class="overflow-auto bg-gray-50 rounded-lg">
    <table mat-table [dataSource]="dataSource" matSort class="expanded-rows-table font-helvetica text-gray-500">

        <!-- Supplier ID Column -->
        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef mat-sort-header style="max-width: 100px"> Supplier ID </th>
            <td mat-cell *matCellDef="let row"> {{row.id}} </td>
        </ng-container>

        <!-- Position Column -->
        <ng-container matColumnDef="position">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Position </th>
            <td mat-cell *matCellDef="let row"> {{row.position}}</td>
        </ng-container>

        <!-- Supplier Name Column -->
        <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Supplier Name </th>
            <td mat-cell *matCellDef="let row"> {{row.name}} </td>
        </ng-container>

        <!-- Email Column -->
        <ng-container matColumnDef="email">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Email </th>
            <td mat-cell *matCellDef="let row"> {{row.email}} </td>
        </ng-container>

        <!-- Country Column -->
        <ng-container matColumnDef="country">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Country </th>
            <td mat-cell *matCellDef="let row"> <img class="rounded-image-table" src="assets/images/flags/{{row.country}}.svg"  alt="country"/> </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

        <!-- Row shown when there is no matching data. -->
        <tr class="mat-row" *matNoDataRow>
            <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
        </tr>
    </table>
</div>
<div class="flex justify-end">
    <mat-paginator class="flex text-lg" [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>
</div>
<!--table component end-->



